Update an opt out integration | DataGrail Documentation
Update an opt out integration
PUT https://www.example.com/api/v2/opt_outs/:uuid/integration_states/:integration_state_id
Request
Path Parameters
uuid string required
The unique identifier of the opt out request
Example: 7efa58a8-9b7d-4faf-8082-5f7f7f407db7
integration_state_id string required
The identifier of integration from opt out request
Example: 42
Header Parameters
authorization string required
Example: Bearer eyJhbGciOiJSUzI1NiIsInR5cCI6IkpXVCJ9
- application/json
Body
state string required
The state of the integration that you want to update to
Possible values: [error, complete]
Example: complete
message string
(optional) Additional message which will be attached to the updated integration
Example: Example message
{
"state": "complete",
"message": "Example message"
}
Responses
- 200
- 401
- 404
Integration Updated
- application/json
Schema
data object
id integer
The unique identifier of the integration.
Example: 42
status string
The status of the integration.
Possible values: [initialized, success, error, processing]
status_message string | null nullable
Additional data related to status (may be empty).
Example: Not Started
created_at string
Datetime of when the integration was created in the opt out request.
Example: 2024-08-09T21:14:49.444Z
processed_at string | null nullable
Datetime of when the integration was processed in the opt out request.
Example: 2024-08-09T21:14:49.444Z
authentication object
name string
Name of the integration.
Example: Drift
uuid string
Internal UUID of the integration.
Example: cfdf8eb3-7baa-45bf-9bc5-aa28473c9e3f
{
"data": {
"id": 42,
"status": "initialized",
"status_message": "Not Started",
"created_at": "2024-08-09T21:14:49.444Z",
"processed_at": "2024-08-09T21:14:49.444Z",
"authentication": {
"name": "Drift",
"uuid": "cfdf8eb3-7baa-45bf-9bc5-aa28473c9e3f"
}
}
}
Unauthorized
Resource Not Found
CURL
curl -L -X PUT 'https://www.example.com/api/v2/opt_outs/:uuid/integration_states/:integration_state_id' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-d '{
"state": "complete",
"message": "Example message"
}'
Base URL
https://www.example.com
Parameters
- uuid — path required
- integration_state_id — path required
- authorization — header required
Body
{
"state": "complete",
"message": "Example message"
}
Send API Request
Response
Need help?
If you have any questions, please reach out to your dedicated Account Manager or contact us at support@datagrail.io.
Disclaimer: The information contained in this message does not constitute as legal advice. We would advise seeking professional counsel before acting on or interpreting any material.